Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Landmark Class Reference

Points that can act as landmarks! For the goal and the corner posts these points (in 3D) lie on the top-most point of the landmarks. More...

`#include <FieldDimensions.h>`

Collaboration diagram for Landmark:

[legend]
List of all members.

## Public Types
enum | LandmarkType { pinkAboveYellow, pinkAboveSkyblue, yellowAbovePink, skyblueAbovePink, ownGoal, opponentGoal, fieldMarking, numberOfLandmarkTypes }
## Public Member Functions
| Landmark (int x, int y, int z, double sizeXY, double heightZ, int landmarkType)
| Landmark (double x, double y, double z, double w, double h, int landmarkType)
## Public Attributes
Vector3< double > | position
double | width
double | height
int | kind

## Detailed Description

Points that can act as landmarks! For the goal and the corner posts these points (in 3D) lie on the top-most point of the landmarks.

This is because when looking at them, headcontrol looks

Definition at line 374 of file FieldDimensions.h.

## Member Enumeration Documentation

enum Landmark::LandmarkType

  | Enumeration values:
  pinkAboveYellow |
  pinkAboveSkyblue |
  yellowAbovePink |
  skyblueAbovePink |
  ownGoal |
  opponentGoal |
  fieldMarking |
  numberOfLandmarkTypes |
Definition at line 377 of file FieldDimensions.h.

## Constructor & Destructor Documentation

Landmark::Landmark | ( | int | x,
|  | int | y,
|  | int | z,
|  | double | sizeXY,
|  | double | heightZ,
|  | int | landmarkType
| ) | `[inline]`

| Definition at line 385 of file FieldDimensions.h. References height, kind, position, and width.

Landmark::Landmark | ( | double | x,
|  | double | y,
|  | double | z,
|  | double | w,
|  | double | h,
|  | int | landmarkType
| ) | `[inline]`

| Definition at line 388 of file FieldDimensions.h. References height, kind, position, and width.

## Member Data Documentation

Vector3<double> Landmark::position

| Definition at line 392 of file FieldDimensions.h. Referenced by Landmark().

double Landmark::width

| Definition at line 393 of file FieldDimensions.h. Referenced by Landmark().

double Landmark::height

| Definition at line 393 of file FieldDimensions.h. Referenced by Landmark().

int Landmark::kind

| Definition at line 394 of file FieldDimensions.h. Referenced by Landmark().

The documentation for this class was generated from the following file:

- Tools/FieldDimensions.h